START-STOP-DAEMON(8)

NAMN
start-stop-daemon - startar och stoppar bakgrundsprocesser

SYNOPS
start-stop-daemon -S|--start flaggor [--] parametrar

start-stop-daemon -K|--stop flaggor

start-stop-daemon -H|--help

start-stop-daemon -V|--version

BESKRIVNING
start-stop-daemon används för att kontrollera skapande och avslutande av processer på systemnivå. Med hjälp av flaggorna --exec, --pidfile, --user och --name kan start-stop-daemon ställas in att hitta existerande instanser av en körande process. Med --start letar start-stop-daemon efter om en angiven process existerar, och om så är fallet gör start-stop-daemon ingenting och avslutar med status 1 (0 om --oknodo anges). Om en sådan process inte existerar startas en instans, antingen med programfilen som anges med --exec, (eller, om den anges, med --startas). Eventuella parametrar som ges efter -- på kommandoraden skickas omodiferade till programmet som startas. Om --retry anges kommer start-stopd-daemon kontrollera att processen har avslutats. Med --stop testar start-stop-daemon också om den angivna processen existerar, och om så är fallet sänder start-stop-daemon den signal som anges av --signal till den, och avslutar med status 0. Om en sådan process inte existerar avslutar start-stop-daemon med status 1 (0 om --oknodo anges).

FLAGGOR

-x|--exec programfil
    Sök efter processer som är instanser av denna programfil (enligt /proc/pid/exe ).

-p|--pidfile pidfil
    Sök efter processer vars process-id anges i pidfil.

-u|--user användarnamn|användar-id
    Sök efter processer som ägs av den användare som anges med användarnamn eller användar-id.

-n|--name processnamn
    Sök efter processer med namnet processnamn (enligt /proc/pid/stat ).

-s|--signal signal
    Tillsammans med --stop anger detta den signal som skall sändas till processen som stoppas (förval är 15).

-R|--retry timeout|schema
    Tillsammans med --stop anger detta att start-stop-daemon skall kontrollera att processen avslutas. Den testar flera gånger efter matchande processer som körs, tills ingen längrefinns kvar. Om processerna inte avslutar kommer programmet utföra ytterligare kommandon enligt schemat. Om timeout anges istället för schema kommer schemat signal/timeout/KILL/timeout att användas, där signal är den signal som anges med --signal. schema är den lista med åtminstone två poster avdelade med snedstreck (/); varje post är antingen -signalnummer eller [-]signalnamn, vilket betyder att singalen skall sändas, eller timeout, vilket anger det antal sekunder programmet skall vänta på att processen avslutar, eller forever, vilket betyder att resten av schemat skall repetera för evigt om så behövs. Om slutet på schemat nås och forever inte anges kommer start-stop-daemon avslutas med felkod 2. Om ett schema anges kommer eventuell signal angiven med --signal att ignoreras.

-a|--startas sökväg
    Tillsammans med --start anger detta att processen som anges med sökväg skall startas. Om den inte anges används parametern som gavs till --exec.

-t|--test
    Skriver ut vad som skulle ha utförts och sätter returvärdet, men utför ingenting.

-o|--oknodo
    Returnerar felstatus 0 i stället för 1 om ingen åtgärd utförs/skulle utförts.

-q|--quiet
    Skriv inte informationsmeddelanden; visa endast felmeddelanden.

-c|--chuid användarnamn|användar-id
    Byt till detta användarnamn/användar-id innan processen startas. Du kan även ange en grupp genom att lägga till ett kolontecken, :, följt av gruppnamnet eller grupp-id på samma sätt som du skull gjort till "chown"-kommandot (användarefP:grupp). När du använder detta alternativ måste du ha i åtanke att även både primär och tilläggs-grupp sätts, även om --group-flaggan inte anges. --group-flaggan är bara till för grupper som användaren normalt inte är en medlem i (t.ex för att lägga till gruppmedlemskap för enskilda processer för standardanvändare såsom "nobody").

-r|--chroot rot
    Byt katalog och rot till rot innan processen startas. Observera att även pidfilen skrivs efter chroot har utförts.

-b|--background
    Används typiskt med program som inte kopplar loss sig av sig själva. Denna flagga kommer tvinga start-stop-daemon att förgrena sig (fork) innan processen startar, och tvinga den grenen att köra i bakgrunden. VARNING: start-stop-daemon kan inte kontrollera felstatus för processer som av någon som helst anledning misslyckas med att exekvera. Detta är en sista utväg, och är endast avsett för program som det normalt sett inte är någon idé att på egen hand förgrena, eller där det inte är möjligt att lägga till koden för detta på egen hand.

-N|--nicelevel
    Detta ändrar prioriteten på processen innan den startas.

-m|--make-pidfile
    Används när ett program startas som inte skapar sin egen pidfil. Denna flagga kommer att göra så att start-stop-daemon skapar filen som anges med --pidfile och lägga process-id i den precis innan processen startas. Observera att den inte kommer att tas bort när programmet stoppas. OBSERVERA: Denna funktion kanske inte alltid fungerar, något som huvudsakligen gäller när programmet som startas förgrenar sig (fork) från sin huvudprocess, och den är därför bara användbar i samband med flaggan --background.

-v|--verbose
    Skriv ut pratsamma informationsmeddelanden.

-H|--help
    Skriv ut hjälpinformation och avsluta sedan.

-V|--version
    Skriv ut versionsinformation och avsluta sedan.

FÖRFATTARE
Marek Michalkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl>, baserat på en tidigare version av Ian Jackson <ian@chiark.greenend.org.uk>. Manualsida av Klee Dienes <klee@mit.edu>, delvis omformaterad av Ian Jackson, översatt av Peter Karlsson <peterk@debian.org>.